% Satallax 3.3 Sample Solutions

Example 1: SET014^4
===================

    ./satallax.native -p tstp -m mode213 ~/TPTP-v6.4.0/Problems/SET/SET014^4.p

~~~
% SZS output start Proof
thf(ty_$i, type, $i : $tType).
thf(ty_eigen__2, type, eigen__2 : ($i>$o)).
thf(ty_eigen__1, type, eigen__1 : ($i>$o)).
thf(ty_eigen__0, type, eigen__0 : ($i>$o)).
thf(ty_eigen__3, type, eigen__3 : $i).
thf(sP1,plain,(sP1 <=> (eigen__0 @ eigen__3),introduced(definition,[new_symbols(definition,[sP1])]))).
thf(sP2,plain,(sP2 <=> (sP1 => (eigen__2 @ eigen__3)),introduced(definition,[new_symbols(definition,[sP2])]))).
thf(sP3,plain,(sP3 <=> (eigen__1 @ eigen__3),introduced(definition,[new_symbols(definition,[sP3])]))).
thf(sP4,plain,(sP4 <=> (sP3 => (eigen__2 @ eigen__3)),introduced(definition,[new_symbols(definition,[sP4])]))).
thf(sP5,plain,(sP5 <=> (![X1:$i]:((eigen__1 @ X1) => (eigen__2 @ X1))),introduced(definition,[new_symbols(definition,[sP5])]))).
thf(sP6,plain,(sP6 <=> (eigen__2 @ eigen__3),introduced(definition,[new_symbols(definition,[sP6])]))).
thf(sP7,plain,(sP7 <=> (![X1:$i]:((eigen__0 @ X1) => (eigen__2 @ X1))),introduced(definition,[new_symbols(definition,[sP7])]))).
thf(def_in,definition,(in = (^[X1:$i]:(^[X2:$i>$o]:(X2 @ X1))))).
thf(def_is_a,definition,(is_a = (^[X1:$i]:(^[X2:$i>$o]:(X2 @ X1))))).
thf(def_emptyset,definition,(emptyset = (^[X1:$i]:$false))).
thf(def_unord_pair,definition,(unord_pair = (^[X1:$i]:(^[X2:$i]:(^[X3:$i]:((~((X3 = X1))) => (X3 = X2))))))).
thf(def_singleton,definition,(singleton = (^[X1:$i]:(^[X2:$i]:(X2 = X1))))).
thf(def_union,definition,(union = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:((~((X1 @ X3))) => (X2 @ X3))))))).
thf(def_excl_union,definition,(excl_union = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(((X1 @ X3) => (X2 @ X3)) => (~(((~((X1 @ X3))) => (~((X2 @ X3)))))))))))).
thf(def_intersection,definition,(intersection = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(~(((X1 @ X3) => (~((X2 @ X3))))))))))).
thf(def_setminus,definition,(setminus = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(~(((X1 @ X3) => (X2 @ X3))))))))).
thf(def_complement,definition,(complement = (^[X1:$i>$o]:(^[X2:$i]:(~((X1 @ X2))))))).
thf(def_disjoint,definition,(disjoint = (^[X1:$i>$o]:(^[X2:$i>$o]:(((intersection @ X1) @ X2) = emptyset))))).
thf(def_subset,definition,(subset = (^[X1:$i>$o]:(^[X2:$i>$o]:(![X3:$i]:((X1 @ X3) => (X2 @ X3))))))).
thf(def_meets,definition,(meets = (^[X1:$i>$o]:(^[X2:$i>$o]:(~((![X3:$i]:((X1 @ X3) => (~((X2 @ X3))))))))))).
thf(def_misses,definition,(misses = (^[X1:$i>$o]:(^[X2:$i>$o]:(![X3:$i]:((X1 @ X3) => (~((X2 @ X3))))))))).
thf(thm,conjecture,(![X1:$i>$o]:(![X2:$i>$o]:(![X3:$i>$o]:((~(((![X4:$i]:((X1 @ X4) => (X3 @ X4))) => (~((![X4:$i]:((X2 @ X4) => (X3 @ X4)))))))) => (![X4:$i]:(((~((X1 @ X4))) => (X2 @ X4)) => (X3 @ X4)))))))).
thf(h0,negated_conjecture,(~((![X1:$i>$o]:(![X2:$i>$o]:(![X3:$i>$o]:((~(((![X4:$i]:((X1 @ X4) => (X3 @ X4))) => (~((![X4:$i]:((X2 @ X4) => (X3 @ X4)))))))) => (![X4:$i]:(((~((X1 @ X4))) => (X2 @ X4)) => (X3 @ X4))))))))),inference(assume_negation,[status(cth)],[thm])).
thf(h1,assumption,(~((![X1:$i>$o]:(![X2:$i>$o]:((~(((![X3:$i]:((eigen__0 @ X3) => (X2 @ X3))) => (~((![X3:$i]:((X1 @ X3) => (X2 @ X3)))))))) => (![X3:$i]:(((~((eigen__0 @ X3))) => (X1 @ X3)) => (X2 @ X3)))))))),introduced(assumption,[])).
thf(h2,assumption,(~((![X1:$i>$o]:((~(((![X2:$i]:((eigen__0 @ X2) => (X1 @ X2))) => (~((![X2:$i]:((eigen__1 @ X2) => (X1 @ X2)))))))) => (![X2:$i]:(((~((eigen__0 @ X2))) => (eigen__1 @ X2)) => (X1 @ X2))))))),introduced(assumption,[])).
thf(h3,assumption,(~(((~((sP7 => (~(sP5))))) => (![X1:$i]:(((~((eigen__0 @ X1))) => (eigen__1 @ X1)) => (eigen__2 @ X1)))))),introduced(assumption,[])).
thf(h4,assumption,(~((sP7 => (~(sP5))))),introduced(assumption,[])).
thf(h5,assumption,(~((![X1:$i]:(((~((eigen__0 @ X1))) => (eigen__1 @ X1)) => (eigen__2 @ X1))))),introduced(assumption,[])).
thf(h6,assumption,sP7,introduced(assumption,[])).
thf(h7,assumption,sP5,introduced(assumption,[])).
thf(h8,assumption,(~((((~(sP1)) => sP3) => sP6))),introduced(assumption,[])).
thf(h9,assumption,((~(sP1)) => sP3),introduced(assumption,[])).
thf(h10,assumption,(~(sP6)),introduced(assumption,[])).
thf(h11,assumption,sP1,introduced(assumption,[])).
thf(h12,assumption,sP3,introduced(assumption,[])).
thf(1,plain,((~(sP2) | ~(sP1)) | sP6),inference(prop_rule,[status(thm)],[])).
thf(2,plain,(~(sP7) | sP2),inference(all_rule,[status(thm)],[])).
thf(3,plain,$false,inference(prop_unsat,[status(thm),assumptions([h11,h9,h10,h8,h6,h7,h4,h5,h3,h2,h1,h0])],[h10,h11,h6,1,2])).
thf(4,plain,((~(sP4) | ~(sP3)) | sP6),inference(prop_rule,[status(thm)],[])).
thf(5,plain,(~(sP5) | sP4),inference(all_rule,[status(thm)],[])).
thf(6,plain,$false,inference(prop_unsat,[status(thm),assumptions([h12,h9,h10,h8,h6,h7,h4,h5,h3,h2,h1,h0])],[h10,h12,h7,4,5])).
thf(7,plain,$false,inference(tab_imp,[status(thm),assumptions([h9,h10,h8,h6,h7,h4,h5,h3,h2,h1,h0]),tab_imp(discharge,[h11]),tab_imp(discharge,[h12])],[h9,3,6,h11,h12])).
thf(8,plain,$false,inference(tab_negimp,[status(thm),assumptions([h8,h6,h7,h4,h5,h3,h2,h1,h0]),tab_negimp(discharge,[h9,h10])],[h8,7,h9,h10])).
thf(9,plain,$false,inference(tab_negall,[status(thm),assumptions([h6,h7,h4,h5,h3,h2,h1,h0]),tab_negall(discharge,[h8]),tab_negall(eigenvar,eigen__3)],[h5,8,h8])).
thf(10,plain,$false,inference(tab_negimp,[status(thm),assumptions([h4,h5,h3,h2,h1,h0]),tab_negimp(discharge,[h6,h7])],[h4,9,h6,h7])).
thf(11,plain,$false,inference(tab_negimp,[status(thm),assumptions([h3,h2,h1,h0]),tab_negimp(discharge,[h4,h5])],[h3,10,h4,h5])).
thf(12,plain,$false,inference(tab_negall,[status(thm),assumptions([h2,h1,h0]),tab_negall(discharge,[h3]),tab_negall(eigenvar,eigen__2)],[h2,11,h3])).
thf(13,plain,$false,inference(tab_negall,[status(thm),assumptions([h1,h0]),tab_negall(discharge,[h2]),tab_negall(eigenvar,eigen__1)],[h1,12,h2])).
thf(14,plain,$false,inference(tab_negall,[status(thm),assumptions([h0]),tab_negall(discharge,[h1]),tab_negall(eigenvar,eigen__0)],[h0,13,h1])).
% SZS output end Proof
~~~

Example 2: SYO553^1
===================

    ./satallax.native -p tstp -m mode438 ~/TPTP-v6.4.0/Problems/SYO/SYO553^1.p

~~~
Theorem claim : False.
% SZS status Theorem
% Mode: mode438
% Inferences: 5
% SZS output start Proof
thf(ty_$i, type, $i : $tType).
thf(ty_eigen__2, type, eigen__2 : $i).
thf(h0, assumption, (![X1:$i>$o]:(![X2:$i]:((X1 @ X2) => (X1 @ (eps__0 @ X1))))),introduced(assumption,[])).
thf(eigendef_eigen__1, definition, (eigen__1 = (eps__0 @ (^[X1:$i]:(~((![X2:$i]:(X2 = X2))))))), introduced(definition,[new_symbols(definition,[eigen__1]))).
thf(eigendef_eigen__2, definition, (eigen__2 = (eps__0 @ (^[X1:$i]:(~((X1 = X1)))))), introduced(definition,[new_symbols(definition,[eigen__2]))).
thf(sP1,plain,(sP1 <=> (![X1:$i]:(![X2:$i]:(X2 = X2))),introduced(definition,[new_symbols(definition,[sP1])]))).
thf(sP2,plain,(sP2 <=> (![X1:$i]:(X1 = X1)),introduced(definition,[new_symbols(definition,[sP2])]))).
thf(sP3,plain,(sP3 <=> (![X1:$i>$i>$i]:(~((![X2:$i]:(![X3:$i]:(((X1 @ X2) @ X3) = X3)))))),introduced(definition,[new_symbols(definition,[sP3])]))).
thf(sP4,plain,(sP4 <=> (eigen__2 = eigen__2),introduced(definition,[new_symbols(definition,[sP4])]))).
thf(claim,conjecture,(~(sP3))).
thf(h1,negated_conjecture,sP3,inference(assume_negation,[status(cth)],[claim])).
thf(1,plain,(~(sP3) | ~(sP1)),inference(all_rule,[status(thm)],[])).
thf(2,plain,(sP1 | ~(sP2)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__1])).
thf(3,plain,(sP2 | ~(sP4)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__2])).
thf(4,plain,sP4,inference(prop_rule,[status(thm)],[])).
thf(5,plain,$false,inference(prop_unsat,[status(thm),assumptions([h1,h0])],[h1,1,2,3,4])).
thf(6,plain,$false,inference(eigenvar_choice,[status(thm),assumptions([h1]),eigenvar_choice(discharge,[h0])],[5,h0])).
thf(0,theorem,(~(sP3)),inference(contra,[status(thm),contra(discharge,[h1])],[5,h1])).
% SZS output end Proof
~~~

Example 3: SYO069^4.001
=======================

    ./satallax.native -p tstp -m mode514 ~/TPTP-v6.4.0/Problems/SYO/SYO069^4.001.p

~~~
Theorem claim : False.
% SZS status Theorem
% Mode: mode514
% Inferences: 5342
% SZS output start Proof
thf(ty_$i, type, $i : $tType).
thf(ty_a0, type, a0 : ($i>$o)).
thf(ty_eigen__25, type, eigen__25 : $i).
thf(ty_a1, type, a1 : ($i>$o)).
thf(ty_eigen__0, type, eigen__0 : $i).
thf(ty_b1, type, b1 : ($i>$o)).
thf(ty_irel, type, irel : ($i>$i>$o)).
thf(ty_eigen__10, type, eigen__10 : $i).
thf(ty_eigen__20, type, eigen__20 : $i).
thf(ty_b0, type, b0 : ($i>$o)).
thf(ty_f, type, f : ($i>$o)).
thf(h0, assumption, (![X1:$i>$o]:(![X2:$i]:((X1 @ X2) => (X1 @ (eps__0 @ X1))))),introduced(assumption,[])).
thf(eigendef_eigen__10, definition, (eigen__10 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))))))), introduced(definition,[new_symbols(definition,[eigen__10]))).
thf(eigendef_eigen__0, definition, (eigen__0 = (eps__0 @ (^[X1:$i]:(~((~((((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))))))), introduced(definition,[new_symbols(definition,[eigen__0]))).
thf(eigendef_eigen__20, definition, (eigen__20 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))))))), introduced(definition,[new_symbols(definition,[eigen__20]))).
thf(eigendef_eigen__25, definition, (eigen__25 = (eps__0 @ (^[X1:$i]:(~((((irel @ eigen__20) @ X1) => (b0 @ X1))))))), introduced(definition,[new_symbols(definition,[eigen__25]))).
thf(sP1,plain,(sP1 <=> (![X1:$i]:((irel @ X1) @ X1)),introduced(definition,[new_symbols(definition,[sP1])]))).
thf(sP2,plain,(sP2 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (~((((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2)))) => (((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b1 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))))),introduced(definition,[new_symbols(definition,[sP2])]))).
thf(sP3,plain,(sP3 <=> ((irel @ eigen__20) @ eigen__25),introduced(definition,[new_symbols(definition,[sP3])]))).
thf(sP4,plain,(sP4 <=> (((irel @ eigen__0) @ eigen__10) => (~((((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1)))) => (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1))))))))))),introduced(definition,[new_symbols(definition,[sP4])]))).
thf(sP5,plain,(sP5 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (a0 @ X1))),introduced(definition,[new_symbols(definition,[sP5])]))).
thf(sP6,plain,(sP6 <=> (((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP5)))),introduced(definition,[new_symbols(definition,[sP6])]))).
thf(sP7,plain,(sP7 <=> (((irel @ eigen__0) @ eigen__0) => (~((((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP5) => (((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (a1 @ X1)))) => (~((sP5 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1))))))))))),introduced(definition,[new_symbols(definition,[sP7])]))).
thf(sP8,plain,(sP8 <=> ((sP5 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))) => sP6),introduced(definition,[new_symbols(definition,[sP8])]))).
thf(sP9,plain,(sP9 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1)))) => (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1)))))))),introduced(definition,[new_symbols(definition,[sP9])]))).
thf(sP10,plain,(sP10 <=> (((irel @ eigen__0) @ eigen__10) => ((![X1:$i]:(((irel @ eigen__10) @ X1) => (b0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1))))),introduced(definition,[new_symbols(definition,[sP10])]))).
thf(sP11,plain,(sP11 <=> ((![X1:$i]:(((irel @ eigen__0) @ X1) => (~((((![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b1 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2)))))))))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))),introduced(definition,[new_symbols(definition,[sP11])]))).
thf(sP12,plain,(sP12 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))))))),introduced(definition,[new_symbols(definition,[sP12])]))).
thf(sP13,plain,(sP13 <=> (((irel @ eigen__0) @ eigen__10) => (~(sP9))),introduced(definition,[new_symbols(definition,[sP13])]))).
thf(sP14,plain,(sP14 <=> (![X1:$i]:(((irel @ eigen__20) @ X1) => (b0 @ X1))),introduced(definition,[new_symbols(definition,[sP14])]))).
thf(sP15,plain,(sP15 <=> (b0 @ eigen__25),introduced(definition,[new_symbols(definition,[sP15])]))).
thf(sP16,plain,(sP16 <=> ((![X1:$i]:(((irel @ eigen__20) @ X1) => (b1 @ X1))) => sP14),introduced(definition,[new_symbols(definition,[sP16])]))).
thf(sP17,plain,(sP17 <=> ((![X1:$i]:(((irel @ eigen__10) @ X1) => (b0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))),introduced(definition,[new_symbols(definition,[sP17])]))).
thf(sP18,plain,(sP18 <=> (sP2 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))),introduced(definition,[new_symbols(definition,[sP18])]))).
thf(sP19,plain,(sP19 <=> ((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => sP5),introduced(definition,[new_symbols(definition,[sP19])]))).
thf(sP20,plain,(sP20 <=> (((irel @ eigen__10) @ eigen__25) => sP15),introduced(definition,[new_symbols(definition,[sP20])]))).
thf(sP21,plain,(sP21 <=> (sP3 => sP15),introduced(definition,[new_symbols(definition,[sP21])]))).
thf(sP22,plain,(sP22 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1)))) => (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1)))))))),introduced(definition,[new_symbols(definition,[sP22])]))).
thf(sP23,plain,(sP23 <=> ((irel @ eigen__10) @ eigen__25),introduced(definition,[new_symbols(definition,[sP23])]))).
thf(sP24,plain,(sP24 <=> (sP5 => (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1)))),introduced(definition,[new_symbols(definition,[sP24])]))).
thf(sP25,plain,(sP25 <=> (((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1)))) => (~(((![X1:$i]:(((irel @ eigen__10) @ X1) => (a0 @ X1))) => (![X1:$i]:(((irel @ eigen__10) @ X1) => (f @ X1))))))),introduced(definition,[new_symbols(definition,[sP25])]))).
thf(sP26,plain,(sP26 <=> (![X1:$i]:(((irel @ eigen__10) @ X1) => (a1 @ X1))),introduced(definition,[new_symbols(definition,[sP26])]))).
thf(sP27,plain,(sP27 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (~((((![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b1 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => ((![X3:$i]:(((irel @ X2) @ X3) => (b0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))))) => (![X2:$i]:(((irel @ X1) @ X2) => (a0 @ X2)))))))))))),introduced(definition,[new_symbols(definition,[sP27])]))).
thf(sP28,plain,(sP28 <=> (((![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => (![X1:$i]:(((irel @ eigen__0) @ X1) => (a1 @ X1)))) => (~(sP24))),introduced(definition,[new_symbols(definition,[sP28])]))).
thf(sP29,plain,(sP29 <=> (sP19 => sP28),introduced(definition,[new_symbols(definition,[sP29])]))).
thf(sP30,plain,(sP30 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (a1 @ X2)))))),introduced(definition,[new_symbols(definition,[sP30])]))).
thf(sP31,plain,(sP31 <=> (![X1:$i]:(![X2:$i]:(![X3:$i]:((~((((irel @ X1) @ X2) => (~(((irel @ X2) @ X3)))))) => ((irel @ X1) @ X3))))),introduced(definition,[new_symbols(definition,[sP31])]))).
thf(sP32,plain,(sP32 <=> ((![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))) => sP26),introduced(definition,[new_symbols(definition,[sP32])]))).
thf(sP33,plain,(sP33 <=> (![X1:$i]:(((irel @ eigen__10) @ X1) => (b0 @ X1))),introduced(definition,[new_symbols(definition,[sP33])]))).
thf(sP34,plain,(sP34 <=> (![X1:$i]:(~((((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((![X2:$i]:(((irel @ X1) @ X2) => (~((((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (((![X3:$i]:(((irel @ X2) @ X3) => ((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))),introduced(definition,[new_symbols(definition,[sP34])]))).
thf(sP35,plain,(sP35 <=> (![X1:$i]:(((irel @ eigen__0) @ X1) => (f @ X1))),introduced(definition,[new_symbols(definition,[sP35])]))).
thf(sP36,plain,(sP36 <=> ((irel @ eigen__0) @ eigen__0),introduced(definition,[new_symbols(definition,[sP36])]))).
thf(sP37,plain,(sP37 <=> (![X1:$i]:(((irel @ eigen__10) @ X1) => ((![X2:$i]:(((irel @ X1) @ X2) => (b1 @ X2))) => (![X2:$i]:(((irel @ X1) @ X2) => (b0 @ X2)))))),introduced(definition,[new_symbols(definition,[sP37])]))).
thf(sP38,plain,(sP38 <=> ((irel @ eigen__10) @ eigen__20),introduced(definition,[new_symbols(definition,[sP38])]))).
thf(sP39,plain,(sP39 <=> (sP38 => sP16),introduced(definition,[new_symbols(definition,[sP39])]))).
thf(sP40,plain,(sP40 <=> (![X1:$i]:((~((sP38 => (~(((irel @ eigen__20) @ X1)))))) => ((irel @ eigen__10) @ X1))),introduced(definition,[new_symbols(definition,[sP40])]))).
thf(sP41,plain,(sP41 <=> (sP36 => (~(sP8))),introduced(definition,[new_symbols(definition,[sP41])]))).
thf(sP42,plain,(sP42 <=> (sP11 => (~(sP18))),introduced(definition,[new_symbols(definition,[sP42])]))).
thf(sP43,plain,(sP43 <=> ((~((sP38 => (~(sP3))))) => sP23),introduced(definition,[new_symbols(definition,[sP43])]))).
thf(sP44,plain,(sP44 <=> (![X1:$i]:(![X2:$i]:((~((((irel @ eigen__10) @ X1) => (~(((irel @ X1) @ X2)))))) => ((irel @ eigen__10) @ X2)))),introduced(definition,[new_symbols(definition,[sP44])]))).
thf(sP45,plain,(sP45 <=> ((irel @ eigen__0) @ eigen__10),introduced(definition,[new_symbols(definition,[sP45])]))).
thf(sP46,plain,(sP46 <=> (sP38 => (~(sP3))),introduced(definition,[new_symbols(definition,[sP46])]))).
thf(def_mnot,definition,(mnot = (^[X1:$i>$o]:(^[X2:$i]:(~((X1 @ X2))))))).
thf(def_mor,definition,(mor = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:((~((X1 @ X3))) => (X2 @ X3))))))).
thf(def_mand,definition,(mand = (^[X1:$i>$o]:(^[X2:$i>$o]:(^[X3:$i]:(~(((X1 @ X3) => (~((X2 @ X3))))))))))).
thf(def_mimplies,definition,(mimplies = (^[X1:$i>$o]:(mor @ (mnot @ X1))))).
thf(def_mbox_s4,definition,(mbox_s4 = (^[X1:$i>$o]:(^[X2:$i]:(![X3:$i]:(((irel @ X2) @ X3) => (X1 @ X3))))))).
thf(def_iatom,definition,(iatom = (^[X1:$i>$o]:X1))).
thf(def_inot,definition,(inot = (^[X1:$i>$o]:(mnot @ (mbox_s4 @ X1))))).
thf(def_itrue,definition,(itrue = (^[X1:$i]:(~($false))))).
thf(def_ifalse,definition,(ifalse = (inot @ itrue))).
thf(def_iand,definition,(iand = mand)).
thf(def_ior,definition,(ior = (^[X1:$i>$o]:(^[X2:$i>$o]:((mor @ (mbox_s4 @ X1)) @ (mbox_s4 @ X2)))))).
thf(def_iimplies,definition,(iimplies = (^[X1:$i>$o]:(^[X2:$i>$o]:((mimplies @ (mbox_s4 @ X1)) @ (mbox_s4 @ X2)))))).
thf(def_iimplied,definition,(iimplied = (^[X1:$i>$o]:(^[X2:$i>$o]:((iimplies @ X2) @ X1))))).
thf(def_iequiv,definition,(iequiv = (^[X1:$i>$o]:(^[X2:$i>$o]:((iand @ ((iimplies @ X1) @ X2)) @ ((iimplies @ X2) @ X1)))))).
thf(def_ixor,definition,(ixor = (^[X1:$i>$o]:(^[X2:$i>$o]:(inot @ ((iequiv @ X1) @ X2)))))).
thf(def_ivalid,definition,(ivalid = (!!))).
thf(def_isatisfiable,definition,(isatisfiable = (^[X1:$i>$o]:(~((![X2:$i]:(~((X1 @ X2))))))))).
thf(def_icountersatisfiable,definition,(icountersatisfiable = (^[X1:$i>$o]:(~(((!!) @ X1)))))).
thf(def_iinvalid,definition,(iinvalid = (^[X1:$i>$o]:(![X2:$i]:(~((X1 @ X2))))))).
thf(con,conjecture,(![X1:$i]:(~((((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2))))))))))).
thf(h1,negated_conjecture,(~(sP34)),inference(assume_negation,[status(cth)],[con])).
thf(refl_axiom,axiom,sP1).
thf(trans_axiom,axiom,sP31).
thf(1,plain,(sP34 | sP42),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__0])).
thf(2,plain,((~(sP42) | ~(sP11)) | ~(sP18)),inference(prop_rule,[status(thm)],[])).
thf(3,plain,(sP18 | sP2),inference(prop_rule,[status(thm)],[])).
thf(4,plain,(sP18 | ~(sP35)),inference(prop_rule,[status(thm)],[])).
thf(5,plain,(~(sP2) | sP7),inference(all_rule,[status(thm)],[])).
thf(6,plain,(sP11 | sP27),inference(prop_rule,[status(thm)],[])).
thf(7,plain,(sP11 | ~(sP35)),inference(prop_rule,[status(thm)],[])).
thf(8,plain,(~(sP27) | sP41),inference(all_rule,[status(thm)],[])).
thf(9,plain,(~(sP1) | sP36),inference(all_rule,[status(thm)],[])).
thf(10,plain,((~(sP41) | ~(sP36)) | ~(sP8)),inference(prop_rule,[status(thm)],[])).
thf(11,plain,((~(sP7) | ~(sP36)) | ~(sP29)),inference(prop_rule,[status(thm)],[])).
thf(12,plain,(sP29 | sP19),inference(prop_rule,[status(thm)],[])).
thf(13,plain,(sP29 | ~(sP28)),inference(prop_rule,[status(thm)],[])).
thf(14,plain,(sP28 | sP24),inference(prop_rule,[status(thm)],[])).
thf(15,plain,((~(sP24) | ~(sP5)) | sP35),inference(prop_rule,[status(thm)],[])).
thf(16,plain,((~(sP19) | ~(sP30)) | sP5),inference(prop_rule,[status(thm)],[])).
thf(17,plain,(sP8 | sP24),inference(prop_rule,[status(thm)],[])).
thf(18,plain,(sP8 | ~(sP6)),inference(prop_rule,[status(thm)],[])).
thf(19,plain,(sP6 | sP19),inference(prop_rule,[status(thm)],[])).
thf(20,plain,(sP30 | ~(sP10)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__10])).
thf(21,plain,(sP10 | sP45),inference(prop_rule,[status(thm)],[])).
thf(22,plain,(sP10 | ~(sP17)),inference(prop_rule,[status(thm)],[])).
thf(23,plain,(sP17 | sP33),inference(prop_rule,[status(thm)],[])).
thf(24,plain,(sP17 | ~(sP26)),inference(prop_rule,[status(thm)],[])).
thf(25,plain,(~(sP31) | sP44),inference(all_rule,[status(thm)],[])).
thf(26,plain,(~(sP27) | sP13),inference(all_rule,[status(thm)],[])).
thf(27,plain,(~(sP2) | sP4),inference(all_rule,[status(thm)],[])).
thf(28,plain,((~(sP13) | ~(sP45)) | ~(sP9)),inference(prop_rule,[status(thm)],[])).
thf(29,plain,((~(sP4) | ~(sP45)) | ~(sP22)),inference(prop_rule,[status(thm)],[])).
thf(30,plain,(sP22 | ~(sP25)),inference(prop_rule,[status(thm)],[])).
thf(31,plain,(sP9 | ~(sP12)),inference(prop_rule,[status(thm)],[])).
thf(32,plain,(sP12 | sP32),inference(prop_rule,[status(thm)],[])).
thf(33,plain,((~(sP32) | ~(sP37)) | sP26),inference(prop_rule,[status(thm)],[])).
thf(34,plain,(sP25 | sP32),inference(prop_rule,[status(thm)],[])).
thf(35,plain,(sP37 | ~(sP39)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__20])).
thf(36,plain,(sP39 | sP38),inference(prop_rule,[status(thm)],[])).
thf(37,plain,(sP39 | ~(sP16)),inference(prop_rule,[status(thm)],[])).
thf(38,plain,(sP16 | ~(sP14)),inference(prop_rule,[status(thm)],[])).
thf(39,plain,(sP14 | ~(sP21)),inference(eigen_choice_rule,[status(thm),assumptions([h0])],[h0,eigendef_eigen__25])).
thf(40,plain,(sP21 | sP3),inference(prop_rule,[status(thm)],[])).
thf(41,plain,(sP21 | ~(sP15)),inference(prop_rule,[status(thm)],[])).
thf(42,plain,((~(sP20) | ~(sP23)) | sP15),inference(prop_rule,[status(thm)],[])).
thf(43,plain,(~(sP33) | sP20),inference(all_rule,[status(thm)],[])).
thf(44,plain,((~(sP46) | ~(sP38)) | ~(sP3)),inference(prop_rule,[status(thm)],[])).
thf(45,plain,((~(sP43) | sP46) | sP23),inference(prop_rule,[status(thm)],[])).
thf(46,plain,(~(sP40) | sP43),inference(all_rule,[status(thm)],[])).
thf(47,plain,(~(sP44) | sP40),inference(all_rule,[status(thm)],[])).
thf(48,plain,$false,inference(prop_unsat,[status(thm),assumptions([h1,h0])],[h1,refl_axiom,trans_axiom,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47])).
thf(49,plain,$false,inference(eigenvar_choice,[status(thm),assumptions([h1]),eigenvar_choice(discharge,[h0])],[48,h0])).
thf(0,theorem,(![X1:$i]:(~((((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))) => (~(((~((~((![X2:$i]:(((irel @ X1) @ X2) => (~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (a1 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3)))) => (~((~((((~((~((![X3:$i]:(((irel @ X2) @ X3) => ((~((~((![X4:$i]:(((irel @ X3) @ X4) => (b1 @ X4))))))) => (![X4:$i]:(((irel @ X3) @ X4) => (b0 @ X4)))))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (a1 @ X3)))) => (~(((~((~((![X3:$i]:(((irel @ X2) @ X3) => (a0 @ X3))))))) => (![X3:$i]:(((irel @ X2) @ X3) => (f @ X3)))))))))))))))))))) => (![X2:$i]:(((irel @ X1) @ X2) => (f @ X2)))))))))),inference(contra,[status(thm),contra(discharge,[h1])],[48,h1])).
% SZS output end Proof
~~~
